Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class ProjectConfiguration

    java.lang.Object
      org.apache.cayenne.conf.Configuration
          org.apache.cayenne.conf.DefaultConfiguration
              org.apache.cayenne.conf.FileConfiguration
                  org.apache.cayenne.project.ProjectConfiguration

    public class ProjectConfiguration

extends FileConfiguration

Subclass of FileConfiguration used in the project model.

Author:
  Misha Shengaout, Andrei Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.conf.FileConfiguration
`projectFile`

Fields inherited from class org.apache.cayenne.conf.Configuration
`ACCEPT_ALL_DATAVIEWS, configurationShutdownHook, dataDomains, dataViewLocations, DEFAULT_CONFIGURATION_CLASS, DEFAULT_DOMAIN_FILE, DEFAULT_LOGGING_PROPS_FILE, domainConfigurationName, eventManager, ignoringLoadFailures, loaderDelegate, loadStatus, overrideFactory, projectVersion, saverDelegate, sharedConfiguration`

Constructor Summary
`ProjectConfiguration(java.io.File projectFile)` Override parent implementation to ignore loading failures.

Method Summary
`boolean` | `canInitialize()` Override parent implementation to prevent loading of nonexisting files.
`DataSourceFactory` | `getDataSourceFactory()` Returns a DataSource factory for projects.
`protected void` | `setProjectFile(java.io.File projectFile)` Override parent implementation to allow for null files.

Methods inherited from class org.apache.cayenne.conf.FileConfiguration
`addFilesystemPath, addFilesystemPath, getProjectDirectory, getProjectFile`

Methods inherited from class org.apache.cayenne.conf.DefaultConfiguration
`addClassPath, addResourcePath, didInitialize, getDomainConfiguration, getMapConfiguration, getResourceLocator, getViewConfiguration, initialize, setResourceLocator, toString`

Methods inherited from class org.apache.cayenne.conf.Configuration
`addDomain, bootstrapSharedConfiguration, configureCommonLogging, configureCommonLogging, configureLogging, getDataViewLocations, getDomain, getDomain, getDomainConfigurationName, getDomains, getEventManager, getLoaderDelegate, getLoadStatus, getLoggingLevel, getProjectVersion, getResourceLoader, getSaverDelegate, getSharedConfiguration, initializeSharedConfiguration, initializeSharedConfiguration, initializeSharedConfiguration, installConfigurationShutdownHook, isIgnoringLoadFailures, isLoggingConfigured, loadDataView, loadDataView, removeDomain, setDataSourceFactory, setDataViewLocations, setDomainConfigurationName, setEventManager, setIgnoringLoadFailures, setLoaderDelegate, setLoadStatus, setLoggingConfigured, setLoggingLevel, setProjectVersion, setSaverDelegate, shutdown, uninstallConfigurationShutdownHook`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectConfiguration

    public ProjectConfiguration(java.io.File projectFile)

  Override parent implementation to ignore loading failures.

  See Also:
    `FileConfiguration.FileConfiguration(File)`

Method Detail

### canInitialize

    public boolean canInitialize()

  Override parent implementation to prevent loading of nonexisting files.

  Overrides:
    `canInitialize` in class `FileConfiguration`
  See Also:
    `FileConfiguration.canInitialize()`

### setProjectFile

    protected void setProjectFile(java.io.File projectFile)

  Override parent implementation to allow for null files.

  Overrides:
    `setProjectFile` in class `FileConfiguration`
  See Also:
    `FileConfiguration.setProjectFile(File)`

### getDataSourceFactory

    public DataSourceFactory getDataSourceFactory()

  Returns a DataSource factory for projects.

  Overrides:
    `getDataSourceFactory` in class `Configuration`
  See Also:
    `ProjectDataSourceFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.